CreateMonitorDetails¶
- class oci.apm_synthetics.models.CreateMonitorDetails(**kwargs)¶
Bases:
objectDetails of the request body used to create a new monitor.
Attributes:
A constant which can be used with the monitor_type property of a CreateMonitorDetails.
A constant which can be used with the monitor_type property of a CreateMonitorDetails.
A constant which can be used with the monitor_type property of a CreateMonitorDetails.
A constant which can be used with the monitor_type property of a CreateMonitorDetails.
A constant which can be used with the monitor_type property of a CreateMonitorDetails.
A constant which can be used with the monitor_type property of a CreateMonitorDetails.
A constant which can be used with the monitor_type property of a CreateMonitorDetails.
A constant which can be used with the monitor_type property of a CreateMonitorDetails.
A constant which can be used with the scheduling_policy property of a CreateMonitorDetails.
A constant which can be used with the scheduling_policy property of a CreateMonitorDetails.
A constant which can be used with the scheduling_policy property of a CreateMonitorDetails.
A constant which can be used with the status property of a CreateMonitorDetails.
A constant which can be used with the status property of a CreateMonitorDetails.
A constant which can be used with the status property of a CreateMonitorDetails.
Gets the availability_configuration of this CreateMonitorDetails.
Gets the batch_interval_in_seconds of this CreateMonitorDetails.
Gets the configuration of this CreateMonitorDetails.
Gets the defined_tags of this CreateMonitorDetails.
[Required] Gets the display_name of this CreateMonitorDetails.
Gets the freeform_tags of this CreateMonitorDetails.
Gets the is_i_pv6 of this CreateMonitorDetails.
Gets the is_run_now of this CreateMonitorDetails.
Gets the is_run_once of this CreateMonitorDetails.
Gets the maintenance_window_schedule of this CreateMonitorDetails.
[Required] Gets the monitor_type of this CreateMonitorDetails.
[Required] Gets the repeat_interval_in_seconds of this CreateMonitorDetails.
Gets the scheduling_policy of this CreateMonitorDetails.
Gets the script_id of this CreateMonitorDetails.
Gets the script_parameters of this CreateMonitorDetails.
Gets the status of this CreateMonitorDetails.
Gets the target of this CreateMonitorDetails.
Gets the timeout_in_seconds of this CreateMonitorDetails.
[Required] Gets the vantage_points of this CreateMonitorDetails.
Methods:
__init__(**kwargs)Initializes a new CreateMonitorDetails object with values from keyword arguments.
- MONITOR_TYPE_BROWSER = 'BROWSER'¶
A constant which can be used with the monitor_type property of a CreateMonitorDetails. This constant has a value of “BROWSER”
- MONITOR_TYPE_DNS = 'DNS'¶
A constant which can be used with the monitor_type property of a CreateMonitorDetails. This constant has a value of “DNS”
- MONITOR_TYPE_FTP = 'FTP'¶
A constant which can be used with the monitor_type property of a CreateMonitorDetails. This constant has a value of “FTP”
- MONITOR_TYPE_NETWORK = 'NETWORK'¶
A constant which can be used with the monitor_type property of a CreateMonitorDetails. This constant has a value of “NETWORK”
- MONITOR_TYPE_REST = 'REST'¶
A constant which can be used with the monitor_type property of a CreateMonitorDetails. This constant has a value of “REST”
- MONITOR_TYPE_SCRIPTED_BROWSER = 'SCRIPTED_BROWSER'¶
A constant which can be used with the monitor_type property of a CreateMonitorDetails. This constant has a value of “SCRIPTED_BROWSER”
- MONITOR_TYPE_SCRIPTED_REST = 'SCRIPTED_REST'¶
A constant which can be used with the monitor_type property of a CreateMonitorDetails. This constant has a value of “SCRIPTED_REST”
- MONITOR_TYPE_SQL = 'SQL'¶
A constant which can be used with the monitor_type property of a CreateMonitorDetails. This constant has a value of “SQL”
- SCHEDULING_POLICY_ALL = 'ALL'¶
A constant which can be used with the scheduling_policy property of a CreateMonitorDetails. This constant has a value of “ALL”
- SCHEDULING_POLICY_BATCHED_ROUND_ROBIN = 'BATCHED_ROUND_ROBIN'¶
A constant which can be used with the scheduling_policy property of a CreateMonitorDetails. This constant has a value of “BATCHED_ROUND_ROBIN”
- SCHEDULING_POLICY_ROUND_ROBIN = 'ROUND_ROBIN'¶
A constant which can be used with the scheduling_policy property of a CreateMonitorDetails. This constant has a value of “ROUND_ROBIN”
- STATUS_DISABLED = 'DISABLED'¶
A constant which can be used with the status property of a CreateMonitorDetails. This constant has a value of “DISABLED”
- STATUS_ENABLED = 'ENABLED'¶
A constant which can be used with the status property of a CreateMonitorDetails. This constant has a value of “ENABLED”
- STATUS_INVALID = 'INVALID'¶
A constant which can be used with the status property of a CreateMonitorDetails. This constant has a value of “INVALID”
- __init__(**kwargs)¶
Initializes a new CreateMonitorDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
display_name (str) – The value to assign to the display_name property of this CreateMonitorDetails.
monitor_type (str) – The value to assign to the monitor_type property of this CreateMonitorDetails. Allowed values for this property are: “SCRIPTED_BROWSER”, “BROWSER”, “SCRIPTED_REST”, “REST”, “NETWORK”, “DNS”, “FTP”, “SQL”
vantage_points (list[str]) – The value to assign to the vantage_points property of this CreateMonitorDetails.
script_id (str) – The value to assign to the script_id property of this CreateMonitorDetails.
status (str) – The value to assign to the status property of this CreateMonitorDetails. Allowed values for this property are: “ENABLED”, “DISABLED”, “INVALID”
repeat_interval_in_seconds (int) – The value to assign to the repeat_interval_in_seconds property of this CreateMonitorDetails.
is_run_once (bool) – The value to assign to the is_run_once property of this CreateMonitorDetails.
timeout_in_seconds (int) – The value to assign to the timeout_in_seconds property of this CreateMonitorDetails.
target (str) – The value to assign to the target property of this CreateMonitorDetails.
script_parameters (list[oci.apm_synthetics.models.MonitorScriptParameter]) – The value to assign to the script_parameters property of this CreateMonitorDetails.
configuration (oci.apm_synthetics.models.MonitorConfiguration) – The value to assign to the configuration property of this CreateMonitorDetails.
availability_configuration (oci.apm_synthetics.models.AvailabilityConfiguration) – The value to assign to the availability_configuration property of this CreateMonitorDetails.
maintenance_window_schedule (oci.apm_synthetics.models.MaintenanceWindowSchedule) – The value to assign to the maintenance_window_schedule property of this CreateMonitorDetails.
freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this CreateMonitorDetails.
defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this CreateMonitorDetails.
is_run_now (bool) – The value to assign to the is_run_now property of this CreateMonitorDetails.
scheduling_policy (str) – The value to assign to the scheduling_policy property of this CreateMonitorDetails. Allowed values for this property are: “ALL”, “ROUND_ROBIN”, “BATCHED_ROUND_ROBIN”
batch_interval_in_seconds (int) – The value to assign to the batch_interval_in_seconds property of this CreateMonitorDetails.
is_i_pv6 (bool) – The value to assign to the is_i_pv6 property of this CreateMonitorDetails.
- property availability_configuration¶
Gets the availability_configuration of this CreateMonitorDetails.
- Returns
The availability_configuration of this CreateMonitorDetails.
- Return type
- property batch_interval_in_seconds¶
Gets the batch_interval_in_seconds of this CreateMonitorDetails. Time interval between two runs in round robin batch mode (SchedulingPolicy - BATCHED_ROUND_ROBIN).
- Returns
The batch_interval_in_seconds of this CreateMonitorDetails.
- Return type
int
- property configuration¶
Gets the configuration of this CreateMonitorDetails.
- Returns
The configuration of this CreateMonitorDetails.
- Return type
- property defined_tags¶
Gets the defined_tags of this CreateMonitorDetails. Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}}
- Returns
The defined_tags of this CreateMonitorDetails.
- Return type
dict(str, dict(str, object))
- property display_name¶
[Required] Gets the display_name of this CreateMonitorDetails. Unique name that can be edited. The name should not contain any confidential information.
- Returns
The display_name of this CreateMonitorDetails.
- Return type
str
- property freeform_tags¶
Gets the freeform_tags of this CreateMonitorDetails. Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”}
- Returns
The freeform_tags of this CreateMonitorDetails.
- Return type
dict(str, str)
- property is_i_pv6¶
Gets the is_i_pv6 of this CreateMonitorDetails. If enabled, domain name will resolve to an IPv6 address.
- Returns
The is_i_pv6 of this CreateMonitorDetails.
- Return type
bool
- property is_run_now¶
Gets the is_run_now of this CreateMonitorDetails. If isRunNow is enabled, then the monitor will run immediately.
- Returns
The is_run_now of this CreateMonitorDetails.
- Return type
bool
- property is_run_once¶
Gets the is_run_once of this CreateMonitorDetails. If runOnce is enabled, then the monitor will run once.
- Returns
The is_run_once of this CreateMonitorDetails.
- Return type
bool
- property maintenance_window_schedule¶
Gets the maintenance_window_schedule of this CreateMonitorDetails.
- Returns
The maintenance_window_schedule of this CreateMonitorDetails.
- Return type
- property monitor_type¶
[Required] Gets the monitor_type of this CreateMonitorDetails. Type of monitor.
Allowed values for this property are: “SCRIPTED_BROWSER”, “BROWSER”, “SCRIPTED_REST”, “REST”, “NETWORK”, “DNS”, “FTP”, “SQL”
- Returns
The monitor_type of this CreateMonitorDetails.
- Return type
str
- property repeat_interval_in_seconds¶
[Required] Gets the repeat_interval_in_seconds of this CreateMonitorDetails. Interval in seconds after the start time when the job should be repeated. Minimum repeatIntervalInSeconds should be 300 seconds for Scripted REST, Scripted Browser and Browser monitors, and 60 seconds for REST monitor.
- Returns
The repeat_interval_in_seconds of this CreateMonitorDetails.
- Return type
int
- property scheduling_policy¶
Gets the scheduling_policy of this CreateMonitorDetails. Scheduling policy to decide the distribution of monitor executions on vantage points.
Allowed values for this property are: “ALL”, “ROUND_ROBIN”, “BATCHED_ROUND_ROBIN”
- Returns
The scheduling_policy of this CreateMonitorDetails.
- Return type
str
- property script_id¶
Gets the script_id of this CreateMonitorDetails. The OCID of the script. scriptId is mandatory for creation of SCRIPTED_BROWSER and SCRIPTED_REST monitor types. For other monitor types, it should be set to null.
- Returns
The script_id of this CreateMonitorDetails.
- Return type
str
- property script_parameters¶
Gets the script_parameters of this CreateMonitorDetails. List of script parameters in the monitor. This is valid only for SCRIPTED_BROWSER and SCRIPTED_REST monitor types. For other monitor types, it should be set to null. Example: [{“paramName”: “userid”, “paramValue”:”testuser”}]
- Returns
The script_parameters of this CreateMonitorDetails.
- Return type
- property status¶
Gets the status of this CreateMonitorDetails. Enables or disables the monitor.
Allowed values for this property are: “ENABLED”, “DISABLED”, “INVALID”
- Returns
The status of this CreateMonitorDetails.
- Return type
str
- property target¶
Gets the target of this CreateMonitorDetails. Specify the endpoint on which to run the monitor. For BROWSER, REST, NETWORK, DNS and FTP monitor types, target is mandatory. If target is specified in the SCRIPTED_BROWSER monitor type, then the monitor will run the selected script (specified by scriptId in monitor) against the specified target endpoint. If target is not specified in the SCRIPTED_BROWSER monitor type, then the monitor will run the selected script as it is. For NETWORK monitor with TCP protocol, a port needs to be provided along with target. Example: 192.168.0.1:80.
- Returns
The target of this CreateMonitorDetails.
- Return type
str
- property timeout_in_seconds¶
Gets the timeout_in_seconds of this CreateMonitorDetails. Timeout in seconds. If isFailureRetried is true, then timeout cannot be more than 30% of repeatIntervalInSeconds time for monitors. If isFailureRetried is false, then timeout cannot be more than 50% of repeatIntervalInSeconds time for monitors. Also, timeoutInSeconds should be a multiple of 60 for Scripted REST, Scripted Browser and Browser monitors. Monitor will be allowed to run only for timeoutInSeconds time. It would be terminated after that.
- Returns
The timeout_in_seconds of this CreateMonitorDetails.
- Return type
int
- property vantage_points¶
[Required] Gets the vantage_points of this CreateMonitorDetails. A list of public and dedicated vantage points from which to execute the monitor. Use /publicVantagePoints to fetch public vantage points, and /dedicatedVantagePoints to fetch dedicated vantage points.
- Returns
The vantage_points of this CreateMonitorDetails.
- Return type
list[str]